# Package org.bouncycastle.openssl

Classes for dealing with OpenSSL PEM files.

See: Description

Interface Summary
Interface | Description
--- | ---
PasswordFinder | call back to allow a password to be fetched when one is requested.

Class Summary
Class | Description
--- | ---
PEMReader | Class for reading OpenSSL PEM encoded streams containing X509 certificates, PKCS8 encoded keys and PKCS7 objects.
PEMWriter | General purpose writer for OpenSSL PEM objects.

Exception Summary
Exception | Description
--- | ---
EncryptionException |
PasswordException |
PEMException |

## Package org.bouncycastle.openssl Description

Classes for dealing with OpenSSL PEM files.